<?php

namespace App\Finance\Repositories\Eloquent;

use App\Finance\Repositories\Contracts\RhawnInvoiceRepository;
use App\Finance\Repositories\Models\RhawnInvoice;

/**
 * Class UserRepositoryEloquent.
 */
class RhawnInvoiceRepositoryEloquent extends BaseRepository implements RhawnInvoiceRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return RhawnInvoice::class;
    }

    public function getInvoiceById($id)
    {
        $invoice = $this->where('soi_id',$id)->get()->toArray();
        if($invoice){
            return current($invoice);
        }
        return null;
    }

    public function updateInvoiceById($id,$updateParams)
    {
        $invoice = $this->getInvoiceById($id);
        if($invoice){
            return $this->updateOrCreate(['soi_id' => $id],$updateParams)->toArray();
        }
        return null;
    }
}
